| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes

# IG::Gr3d::VtkPlotBase::ExampleSineFunctionForLissajous Class Reference

Sine function with the specified frequency factor and phase. Used in the ExampleLissajous. More...

Inheritance diagram for IG::Gr3d::VtkPlotBase::ExampleSineFunctionForLissajous:
[legend]
Collaboration diagram for IG::Gr3d::VtkPlotBase::ExampleSineFunctionForLissajous:
[legend]

List of all members.

## Public Member Functions
| ExampleSineFunctionForLissajous (double frequencyFactor, double phase)
| ExampleSineFunctionForLissajous (double frequencyFactor)
override double | Value (double x)
| Returns the value of this function at the specified parameter.
## Private Attributes
double | FrequencyFactor = 1
double | Phase = 0

## Detailed Description

Sine function with the specified frequency factor and phase. Used in the ExampleLissajous.

## Constructor & Destructor Documentation

IG::Gr3d::VtkPlotBase::ExampleSineFunctionForLissajous::ExampleSineFunctionForLissajous | ( | double | frequencyFactor,
|  | double | phase
| ) |  | `[inline]`

IG::Gr3d::VtkPlotBase::ExampleSineFunctionForLissajous::ExampleSineFunctionForLissajous | ( | double | frequencyFactor | ) | `[inline]`

## Member Function Documentation

override double IG::Gr3d::VtkPlotBase::ExampleSineFunctionForLissajous::Value | ( | double | x | ) | `[inline]`

Returns the value of this function at the specified parameter.

Reimplemented from IG::Num::RealFunction.

## Member Data Documentation

double IG::Gr3d::VtkPlotBase::ExampleSineFunctionForLissajous::FrequencyFactor = 1`[private]`

double IG::Gr3d::VtkPlotBase::ExampleSineFunctionForLissajous::Phase = 0`[private]`

The documentation for this class was generated from the following file:

- VtkPlotBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events